summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author core <eroc@linuxmail.org>2010-05-11 20:00:03 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:03 +0200
commite0f2013fb23d44b2a1d4e49e2570316deb5181ff (patch)
tree4b819e60bea309fa5d1d5edaf5fd2470e75dec30 /desktop
parent525ab7bc29e375dabf7f2f93694c80f18e1b91e8 (diff)
downloadslackbuilds-e0f2013fb23d44b2a1d4e49e2570316deb5181ff.tar.gz
slackbuilds-e0f2013fb23d44b2a1d4e49e2570316deb5181ff.tar.xz
desktop/blended: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/blended/README3
-rw-r--r--desktop/blended/blended.SlackBuild63
-rw-r--r--desktop/blended/blended.info8
-rw-r--r--desktop/blended/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/desktop/blended/README b/desktop/blended/README
new file mode 100644
index 0000000000..ccf15559f7
--- /dev/null
+++ b/desktop/blended/README
@@ -0,0 +1,3 @@
+Blended - A kwin window decoration theme.
+
+Blended is a Window Decoration native for KDE 3.2+
diff --git a/desktop/blended/blended.SlackBuild b/desktop/blended/blended.SlackBuild
new file mode 100644
index 0000000000..ad03e65734
--- /dev/null
+++ b/desktop/blended/blended.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for blended
+
+# Written by core (eroc@linuxmail.org)
+
+set -e
+
+PRGNAM=blended
+PRGNAMALT=Blended
+VERSION=0.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/*-$PRGNAMALT-$VERSION.tar.bz2
+mv $PRGNAMALT-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=$(kde-config --prefix) || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Integrate the color scheme
+mkdir -p $PKG/$KDEPREF/share/apps/kdisplay/color-schemes/
+cat $PRGNAMALT.kcsrc > $PKG/$KDEPREF/share/apps/kdisplay/color-schemes/$PRGNAMALT.kcsrc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/blended/blended.info b/desktop/blended/blended.info
new file mode 100644
index 0000000000..8d0bb07ae4
--- /dev/null
+++ b/desktop/blended/blended.info
@@ -0,0 +1,8 @@
+PRGNAM="blended"
+VERSION="0.3"
+HOMEPAGE="http://www.kde-look.org/content/show.php/Blended?content=32613"
+DOWNLOAD="http://www.kde-look.org/CONTENT/content-files/32613-Blended-0.3.tar.bz2"
+MD5SUM="da1c66b6018c1210666659de3e5754fa"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="BP{k}"
diff --git a/desktop/blended/slack-desc b/desktop/blended/slack-desc
new file mode 100644
index 0000000000..2b72644cd7
--- /dev/null
+++ b/desktop/blended/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+blended: Blended (A kwin window decoration theme.)
+blended:
+blended: Blended is a Window Decoration native for KDE 3.2+
+blended:
+blended: Homepage:
+blended: http://www.kde-look.org/content/show.php/Blended?content=32613
+blended:
+blended:
+blended:
+blended:
+blended: